From 498097857c92571ad12de033d4d0674f4d18e620 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 26/48] use relative imports within modulemd package


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 682ba59..5deadc5 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -52,15 +52,15 @@ from gi.repository import GLib
 gi.require_version('Modulemd', '0.2')
 from gi.repository import Modulemd
 
-from modulemd.api import ModuleAPI
-from modulemd.artifacts import ModuleArtifacts
-from modulemd.buildopts import ModuleBuildopts
-from modulemd.buildopts.rpms import ModuleBuildoptsRPMs
-from modulemd.components import ModuleComponents
-from modulemd.components.module import ModuleComponentModule
-from modulemd.components.rpm import ModuleComponentRPM
-from modulemd.filter import ModuleFilter
-from modulemd.profile import ModuleProfile
+from .api import ModuleAPI
+from .artifacts import ModuleArtifacts
+from .buildopts import ModuleBuildopts
+from .buildopts.rpms import ModuleBuildoptsRPMs
+from .components import ModuleComponents
+from .components.module import ModuleComponentModule
+from .components.rpm import ModuleComponentRPM
+from .filter import ModuleFilter
+from .profile import ModuleProfile
 
 supported_mdversions = ( 1, )
 
diff --git a/modulemd/buildopts/__init__.py b/modulemd/buildopts/__init__.py
index ceac015..21691f6 100644
--- a/modulemd/buildopts/__init__.py
+++ b/modulemd/buildopts/__init__.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-from modulemd.buildopts.rpms import ModuleBuildoptsRPMs
+from .rpms import ModuleBuildoptsRPMs
 
 supported_content = ( "rpms", )
 
diff --git a/modulemd/buildopts/rpms.py b/modulemd/buildopts/rpms.py
index 4681ab3..a552e0c 100644
--- a/modulemd/buildopts/rpms.py
+++ b/modulemd/buildopts/rpms.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-from modulemd.buildopts.base import ModuleBuildoptsBase
+from .base import ModuleBuildoptsBase
 
 class ModuleBuildoptsRPMs(ModuleBuildoptsBase):
     """A buildopts class for handling RPM content build options."""
diff --git a/modulemd/components/__init__.py b/modulemd/components/__init__.py
index af1014c..44bf4ab 100644
--- a/modulemd/components/__init__.py
+++ b/modulemd/components/__init__.py
@@ -24,8 +24,8 @@
 
 from gi.repository import Modulemd
 
-from modulemd.components.module import ModuleComponentModule
-from modulemd.components.rpm import ModuleComponentRPM
+from .module import ModuleComponentModule
+from .rpm import ModuleComponentRPM
 
 
 supported_content = ( "rpms", "modules", )
diff --git a/modulemd/components/module.py b/modulemd/components/module.py
index db81e95..efa9cfb 100644
--- a/modulemd/components/module.py
+++ b/modulemd/components/module.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-from modulemd.components.base import ModuleComponentBase
+from .base import ModuleComponentBase
 
 class ModuleComponentModule(ModuleComponentBase):
     """A component class for handling module-type content."""
diff --git a/modulemd/components/rpm.py b/modulemd/components/rpm.py
index 63882e3..96d305f 100644
--- a/modulemd/components/rpm.py
+++ b/modulemd/components/rpm.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-from modulemd.components.base import ModuleComponentBase
+from .base import ModuleComponentBase
 
 class ModuleComponentRPM(ModuleComponentBase):
     """A component class for handling RPM content."""

